Bug 58609 - FORMATTING: Condition type dropdown box is too small
Summary: FORMATTING: Condition type dropdown box is too small
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta2
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
QA Contact:
URL:
Whiteboard: BSA target:4.1.0 target:4.0.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-21 08:16 UTC by john.pratt
Modified: 2013-01-15 03:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description john.pratt 2012-12-21 08:16:50 UTC
Problem description: the dropdown to select 'all cells', 'cell value is', etc is too small to see all values, despite the list being short compared to many dropdowns.

Steps to reproduce:
1. format -> conditional formatting -> condition
2. select the dropdown marked 'cell value is'

Current behavior: the drop down only has room for 3 values

Expected behavior: the dropdown should be big enough to see all 4 values

              
Operating System: Windows XP
Version: 4.0.0.0.beta2
Comment 1 Jorendc 2012-12-22 23:35:02 UTC
I can reproduce.

Mac OSX 10.8.2
LibreOffice 4.0.0.0.beta2 (Bouw-id: 4104d660979c57e1160b5135634f732918460a0)
TinderBox: MacOSX TDF Release, Branch:libreoffice-4-0, Time: 2012-12-18_17:13:13
Dutch UI

Set platform to all (not windows only)
Comment 2 Markus Mohrhard 2013-01-12 06:22:38 UTC
Please always put me into CC for conditional formatting bugs or add Conditional Formatting to the title. Otherwise it might not come up to my attention and I can't fix it.
Comment 3 Not Assigned 2013-01-12 06:31:32 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d928a8198a4ec9a45228b18bfb221195bdae6bbd

make the list box a bit larger, fdo#58609



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2013-01-14 11:29:24 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=621b7451cf9cf16e29ff19f2cd11a06f6abbacc5&h=libreoffice-4-0

make the list box a bit larger, fdo#58609


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.